#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	alsa-plugins
Version		:	1.2.7.1
Release		:	17.2.0.rel%{?dist}
Summary		:	Plugins for various audio libraries and sound servers. 
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	ftp://ftp.alsa-project.org/pub/plugins/

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
BuildRequires	:	pulseaudio

Requires	:	alsa-lib
Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
The ALSA Plugins package contains plugins for various audio
libraries and sound servers. 

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

autoconf -f -i
./configure							\
        --prefix=%{_prefix}					\
	--includedir=%{_includedir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sysconfdir=%{_sysconfdir}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--infodir=%{_infodir}					\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--disable-static


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)
%doc COPYING
%{_sysconfdir}/%{sname}/conf.d/*.conf
%{_sysconfdir}/%{sname}/conf.d/*.conf.example
%{_libdir}/%{sname}-lib/lib*.so*
%{_datadir}/%{sname}/%{sname}.conf.d/*.conf

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
